Configurable required fields per tracker/role with 'Not visible'
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

As discussed in Feature #703, could it be possible to add 'Not visible' in new 'fields permissions' form of workflows ?

This will have many impacts on :

issue form,

notifications. They will be different per role. That will happen also if only one of those hidden field is modified? Could we have no

notification for people who don't have access to this custom field?

issues tables with filters without those custom fields?

A simplification could be to decide that if one field is hidden, it is always hidden for this role and it is not depending on issue status.

What could you suggest please ?

Related issues:

Is duplicate of Redmine - Feature #12005: Mightful workflow field enhancement... New

History

#1 - 2012-10-29 17:16 - Daniel Felix

Seems to be a duplicate of: #12005

#2 - 2012-10-29 17:22 - claude g

You are right, this tracker can be cancelled.

#3 - 2012-10-30 14:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate
